FUNCTION::USER_STRIN(3stap)

NAME
function::user_string_utf32 - Retrieves UTF-32 string from user memory

SYNOPSIS

1) user_string_utf32:string(addr:long)

2) user_string_utf32:string(addr:long,err_msg:string)

ARGUMENTS

addr
    The user address to retrieve the string from

err_msg
    The error message to return when data isn't available

DESCRIPTION

1) This function returns a null terminated UTF-8 string converted from the UTF-32 string at a given user memory address. Reports an error on string copy fault or conversion error.

2) This function returns a null terminated UTF-8 string converted from the UTF-32 string at a given user memory address. Reports the given error message on string copy fault or conversion error.

SEE ALSO
tapset::uconversions(3stap)